Bug 64186 - (NET PLIP PATCH)plip doesn't work after down/up
Summary: (NET PLIP PATCH)plip doesn't work after down/up
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
: 60258 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-28 12:52 UTC by Stas Sergeev
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that fixes the plip problem for me (550 bytes, patch)
2002-04-28 12:54 UTC, Stas Sergeev
no flags Details | Diff

Description Stas Sergeev 2002-04-28 12:52:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.19-pre4-ac4 i686)

Description of problem:
I have 2 linux boxes connected with plip.
It works fine until I do ifdown plip0 and then ifup plip0.
It is never up again.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.set up the plip connection
2.ifdown plip0
3.ifup plip0
4.try to ping

Actual Results:  ping fails, you can see a timeout messages in the system log

Expected Results:  ping sucessfully detects replies

Additional info:

Well, I have played with plip_close() a little and found a way to
"fix" the problem. The patch is attached. I don't know why it works
and hope someone can explain it to me here:)

Comment 1 Stas Sergeev 2002-04-28 12:54:04 UTC
Created attachment 55684 [details]
Patch that fixes the plip problem for me

Comment 2 Alan Cox 2003-06-09 12:28:21 UTC
Confirmed. _open() does a parport_enable_ not an ENABLE_IRQ. This used to work
before we went to counting enable/disable but now gets caught properly. Fix
seems good.


Comment 3 Alan Cox 2003-06-09 12:29:38 UTC
*** Bug 60258 has been marked as a duplicate of this bug. ***

Comment 4 Stas Sergeev 2003-06-09 13:11:03 UTC
Thanks Alan, even though it took sooo long
that I have given up using a plip already:)
Just curious why this bug was not noticed and fixed
for all these years long by someone else - it makes
plip completely unusable. Probably noone uses plip
any more...

Comment 5 Bugzilla owner 2004-09-30 15:39:32 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.